import { Module } from '@nuxt/types';
import { MotionVariants } from '@vueuse/motion';

interface ModuleOptions {
    directives?: {
        [key: string]: MotionVariants;
    };
    excludePresets?: boolean;
}
declare const CONFIG_KEY = "motion";
declare const CONFIG_KEY2 = "motions";
declare const nuxtModule: Module<ModuleOptions>;
declare module '@nuxt/types' {
    interface NuxtConfig {
        [CONFIG_KEY]?: ModuleOptions;
        /** @deprecated use motion option instead */
        [CONFIG_KEY2]?: ModuleOptions;
    }
    interface Configuration {
        [CONFIG_KEY]?: ModuleOptions;
        /** @deprecated use motion option instead */
        [CONFIG_KEY2]?: ModuleOptions;
    }
}

export default nuxtModule;
export { ModuleOptions };
