'use strict';

const path = require('path');
const defu = require('defu');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

const defu__default = /*#__PURE__*/_interopDefaultLegacy(defu);

const DEFAULTS = {};
const CONFIG_KEY = "motion";
const CONFIG_KEY2 = "motions";
const nuxtModule = async function(moduleOptions) {
  const options = defu__default['default'](this.options[CONFIG_KEY], this.options[CONFIG_KEY2], moduleOptions, DEFAULTS);
  this.addTemplate({
    fileName: "motion.config.js",
    src: path.resolve(__dirname, "../templates", "motion.config.js")
  });
  this.addPlugin({
    src: path.resolve(__dirname, "../templates", "motion.js"),
    fileName: "motion.js",
    options
  });
  this.nuxt.options.build.transpile.push("defu");
  this.nuxt.options.build.transpile.push("@vueuse/motion");
  this.nuxt.options.build.transpile.push("@vueuse/shared");
  await this.addModule("@nuxtjs/composition-api/module");
};
nuxtModule.meta = require("../package.json");

module.exports = nuxtModule;
